<template>
  <q-page>
  </q-page>
</template>

<script>
import { mapActions } from 'vuex'
export default {
  name: 'Articles',
  data () {
    return {
      article: null
    }
  },
  methods: {
    ...mapActions({
      getArticles: 'articles/getArticles'
    })
  },
  beforeMount () {
    this.getArticles().then(() => {
      this.article = this.$store.getters['articles/articles'].find(article => article.id === this.$route.params.id)
    })
  }
}
</script>
